[Stable Update] 2018-02-03 - Kernels, LibreOffice, Browsers, Thunderbird, PHP, Haskell

update
stable

#1

Hi community,

We have some new kernels, removed some of our EOL kernels, pushed out some browser updates, worked on Architect Installer, updated VLC-Nightly to v3.0-rc9, had some regular upstream updates like PHP7, latest Python/Haskell updates/rebuilds and renewed some of our Themes. Additionally we released new install medias based on this update.

Our effort and all the needed information about the new security risk can be found here.

So please report back and give us feedback for given changes made to our repositories. Users of our 32-bit Distro should read this.


Current supported Kernels

  • linux316 3.16.52
  • linux318 3.18.93 [EOL]
  • linux41 4.1.48
  • linux44 4.4.114
  • linux49 4.9.79
  • linux414 4.14.16
  • linux415 4.15.0
  • linux-RT-LTS 4.14.15_rt13
  • linux-RT 4.14.15_rt13

Package Updates (Fri Feb 2 07:01:15 CET 2018)

  • stable community x86_64: 404 new and 392 removed package(s)
  • stable core x86_64: 17 new and 20 removed package(s)
  • stable extra x86_64: 593 new and 794 removed package(s)
  • stable multilib x86_64: 1 new and 0 removed package(s)

A detailed list of changes can be found here.


  • No issues, everything went smoothly
  • Yes there was an issue. I was able to resolve it myself. (Please post your solution)
  • Yes I am currently experiencing an issue due to the update. (Please post about it)

0 voters


Check if your mirror has already synced:


Community Editions Update 17.1.2 >3 >4 (Cinnamon, Deepin, i3)
Convert an Arch Linux install into Manjaro?
[Stable Update] 2018-01-29 - Kernels, Mesa, Xorg-Server, Browsers, MSM, MHWD, GCC
#2

Known issues and solutions

This is a wiki post; please edit as necessary.


My system won’t boot anymore after this update

Most likely you are using a freetype2 package from the AUR. Due the harfbuzz update, your system is broken. So either install the official supported freetype2 package from our repositories or downgrade to harfbuzz v1.7.4: sudo pacman -U https://archive.archlinux.org/packages/h/harfbuzz/harfbuzz-1.7.4-1-x86_64.pkg.tar.xz

You might try also try Freetype2-ultimate5 — fonts like in Infinality's ultimate5 which is a maintained package.


I get “error: command failed to execute correctly” during a GRUB update

Run sudo update-grub once more to ensure the command has worked correctly.


GNOME shell crashes

It’s probably an issue with an extension which needs to be updated. Disable them in turn until you find the one responsible.

If it’s when inserting USB drives, disable “Places Status Indicator”.


Font-Shadow issue within XFCE

Switch to another theme (e.g. Arc Maia), or execute the following cmd to fix the issue:

xfconf-query -c xfce4-desktop -p /desktop-icons/center-text -n -t bool -s false

This fixes the issue properly. (Can follow the links from Ask-Ubuntu #801478 to what exists for the xfce documentation.)

After the command is run the entry <property name="center-text" type="bool" value="false"/> is created under “desktop-icons” in /home/[user]/.config/xfce4/xfconf/xfce-perchannel-xml/xfce4-desktop.xml.


Firefox 58 won’t open

Please check this thread:


I don’t see any updates

That’s because your mirror is out of date. It can take several hours before a mirror get updated. If you want updates right now, run these commands :

sudo pacman-mirrors -f 3
sudo pacman -Syyu

You can always check the state of every mirrors here.


I get a black screen on boot or something doesn’t work

That’s probably because you have a partial set of updated packages. Switch to a text console using CTRL+ALT+F2, log in, then run the commands above.


An AUR package is stopping the update because of a conflict

Remove the AUR package, update, then reinstall the AUR package.


An AUR package says a key is invalid

You need to add the key to your keychain. Do a search of the forum, the answer has already been posted (several times :wink:).



XFCE icons and whiskermenu bugged after update
Manjaro won't load DM after system update
Displaced shadow on xfce desktop
Known Issues from Stable Updates Announcements
#3

I got this message:

(16/50) upgrading cups                             [###############] 100%
Cups daemon is now running under "cups" user+group.
Please make sure to enable the new user+group change in
/etc/cups/cups-files.conf or merge changes from
/etc/cups/cups-files.conf.default. After a service restart
make sure /etc/cups and all files within are owned by
cups group - run "chgrp -R cups /etc/cups".

I will post to the wiki if it seems necessary.

Edit to add: I did nothing, and I tested printing from Kate on two different KDE laptops, and was successful on both.


Printer not working after update
#4

everything works great and solves my previous problem with Vmware Workstation (gcc ver of linux4.14.15-1 prevented vmmon module).
thanks!


#5

11 posts were split to a new topic: Tilix background is transparent


#8

Update Ok,
DE XFCE, kernel 4.15. :slight_smile:


#9

@mparillo: When I compared /etc/cups/cups-files.conf and /etc/cups/cups-files.conf.default using sudo meld, the response was that both files were identical, so then I followed the suggestion to “make sure that /etc/cups and all files within are owned by cups group”:

sudo systemctl daemon-reload
sudo systemctl start org.cups.cupsd.service
sudo chgrp -R cups /etc/cups

Printer not working
#10

after this update on KDE, dolphin file manager crashes a lot and takes so much time to start up. Even after it starts I have to wait for like 20 seconds before it becomes responsive.


#11

Everything is running smoothly in my laptop xfce

Thanks for your efforts Manjaro Team!


#12

Can’t reproduce your issue with the current v17.1.4 ISO. Dolphin is snappy and stable there …


#13

So what should I do? Everything else is fine btw.


#14

Did you do a reboot of your machine? I assume you had your kernel also updated …


#15

Yes I did. And I tried it on both 4.14 and 4.15 but it’s the same.


#16

is there any output about the crash on the terminal if you start ‘dolphin’ manually?


#17

No there isn’t


#19

Did any main servers go down today? I updated 2 drives on separate computers and when I went to update a few others. . . there were no updates to be found. LibreOffice -Fresh is 6.0. and my repositories still show the old one as being the only one available? That’s my response in a nutshell. . . BTW the drives I did update went flawlessly.

Rich :wink:


#21

As always I recommend to use http://repo.manjaro.org/ to check for up to date mirrors. Refresh the page in your browser to see the latest status as we might have some caching problems with some browsers.


#22

I also saw that warning since I ran the update in terminal.

after restarting post system upgrade I did a test print from a document in my home folder. the print job worked fine so I haven’t bothered running that group command


#23

further to this suggestion, I always wait until the UK mirrors are all ticked for stable branch before attempting an update. if it takes a day, so be it.

that way I know it should work without any missed packages.


#25

Cups works fine so far.